(function() {
    window.metadataUrl = "./assets/";
    window.applicationVersion = '2.5.0';
    window.elementListDefaultRule = window.elementListDefaultRule || 'I';

    window.templateUrls = window.templateUrls || [];
    
    window.templateUrls.push({
        package: "zh-interval-component",
        baseUrl: "bower_components/zh-interval-component/dist/templates/"
    });
    
    window.templateUrls.push({
        package: "zh-reports",
        baseUrl: "bower_components/zh-reports/dist/templates/"
    });

    window.templateUrls.push({
        package: "zh-image-uploader",
        baseUrl: "bower_components/zh-image-uploader/dist/templates/"
    });

    window.metadataUrls = window.metadataUrls.filter(function(metadataUrl) {
        return !metadataUrl.package.includes('-preferences');
    });

    window.serviceUrls = window.serviceUrls.filter(function(serviceUrl) {
        return !serviceUrl.package.includes('-preferences');
    });

    var metadataUrls = {
        "zh-preferences"       : './bower_components/zh-preferences/dist/assets/',
        "zh-filter-preferences": './bower_components/zh-filter-preferences/dist/assets/',
        "zh-layout-preferences": './bower_components/zh-layout-preferences/dist/assets/',
        "zh-view-preferences"  : './bower_components/zh-view-preferences/dist/assets/'
    };

    var pathname = location.pathname;
    if(pathname.includes('mobile')) {
        pathname = pathname.replace('/mobile', '').split('/modules')[0];
    } else {
        pathname = '';
    }
    var aclPreferencesUri = location.origin + pathname + '/backend_acl<>URI_SERVICE_NAME<>/index.php/zh-preferences';

    for (var key in metadataUrls) {
        window.metadataUrls.push({
            package: key,
            baseUrl: metadataUrls[key]
        });

        window.serviceUrls.push({
            package: key,
            baseUrl: aclPreferencesUri
        });
    }
    window.metaDataUrls = window.metadataUrls;
})();